Bio Radio SDK - Xamarin Android: GLNeuroTech.Devices.Common.DeviceManager< T > Class Template Reference

| Bio Radio SDK - Xamarin Android

Public Member Functions | List of all members
GLNeuroTech.Devices.Common.DeviceManager< T > Class Template Referenceabstract

The abstract base class responsible for detecting and instantiating Great Lakes NeuroTechnologies data acquisition devices. More...

Inheritance diagram for GLNeuroTech.Devices.Common.DeviceManager< T >:

## Public Member Functions

virtual T | GetBluetoothDevice (long macID)
| Retrieves a reference to a T device based on a bluetooth connection. Use of this method requires a bluetooth radio installed on the host PC. More...
T | GetBluetoothDevice (string deviceId)
| Retrieves a reference to a T device based on a bluetooth connection. Use of this method requires a bluetooth radio installed on the host PC. More...
virtual T | GetDeviceByComPort (string comPort)
| Returns a device based on a predetermined serial COM port name. More...
virtual T | GetDeviceByTcpAddress (string hostname, int port)
| Returns the device connected at the specified hostname and port More...
VirtualDeviceAdapter | CreateVirtualDevice (Stream inputStream)
| Creates a virtual device with a file as a backing store. More...
Public Member Functions inherited from GLNeuroTech.Devices.Common.IDeviceManager< T >
VirtualDeviceAdapter | CreateVirtualDevice (System.IO.Stream inputStream)
| Creates a reference to a Virtual Device object based on the recording file that is given. More...
T | GetBluetoothDevice (long macID)
| Returns a reference to a device connected over bluetooth More...
T | GetBluetoothDevice (string deviceId)
| Returns a reference to a device connected over bluetooth More...
T | GetDeviceByComPort (string comPort)
| Returns a reference to the device at the specified COM port. More...
T | GetDeviceByTcpAddress (string hostname, int port)
| Returns the device connected at the specified hostname and port More...

## Detailed Description

The abstract base class responsible for detecting and instantiating Great Lakes NeuroTechnologies data acquisition devices.

This is an abstract class and is not intended to be used directly in user programs.

Template Parameters

  T | The specific type of Great Lakes NeuroTechnologies device for which this DeviceManager is responsible.

Type Constraints

  T | : | DaqDevice |

## Member Function Documentation

## ◆ CreateVirtualDevice()

VirtualDeviceAdapter GLNeuroTech.Devices.Common.DeviceManager< T >.CreateVirtualDevice | ( | Stream | inputStream | ) |

Creates a virtual device with a file as a backing store.

Parameters

  inputStream | The stream containing the input data.

Returns
  An VirtualDeviceAdapter object.

CreateVirtualDevice can be used to create a VirtualDeviceAdapter that can be used to read data from a file as opposed to a real connected device. No physical device is required to use this method. This is useful for debugging or loading raw data from a file downloaded from the

## ◆ GetBluetoothDevice() [1/2]

virtual T GLNeuroTech.Devices.Common.DeviceManager< T >.GetBluetoothDevice | ( | long | macID | ) |

virtual

Retrieves a reference to a T device based on a bluetooth connection. Use of this method requires a bluetooth radio installed on the host PC.

Parameters

  macID | The address of the bluetooth device

Returns

Reimplemented in GLNeuroTech.Devices.BioRadio.BioRadioDeviceManager.

## ◆ GetBluetoothDevice() [2/2]

T GLNeuroTech.Devices.Common.DeviceManager< T >.GetBluetoothDevice | ( | string | deviceId | ) |

Retrieves a reference to a T device based on a bluetooth connection. Use of this method requires a bluetooth radio installed on the host PC.

Parameters

  deviceId | The address of the bluetooth device

Returns

## ◆ GetDeviceByComPort()

virtual T GLNeuroTech.Devices.Common.DeviceManager< T >.GetDeviceByComPort | ( | string | comPort | ) |

virtual

Returns a device based on a predetermined serial COM port name.

Parameters

  comPort |

Returns
  A device object of type T

## ◆ GetDeviceByTcpAddress()

virtual T GLNeuroTech.Devices.Common.DeviceManager< T >.GetDeviceByTcpAddress | ( | string | hostname,
|  | int | port
| ) |  |

virtual

Returns the device connected at the specified hostname and port

Parameters

  hostname | The address of the device.
  port | The port on which the device is listening

Returns
  A reference to the device.

This method is currently used only for internal testing and should not be used in an application.